
package de.ivu.elect.presentation.benutzerverwaltung.menu;

import javax.inject.Inject;

import de.ivu.elect.business.benutzerverwaltung.entity.RolleMeta;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.menu.AbstractMenuItemEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public abstract class AbstractRolleMenuItemEntry extends AbstractMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private RolleMeta rolleMeta;

  public AbstractRolleMenuItemEntry() {
    super();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }

  @Override
  public boolean isRendered() {
    return hasUseCasePermission(getUseCasePermission());
  }

  protected abstract UseCasePermission getUseCasePermission();

  @Override
  public boolean isDisabledInternal() {
    return false;
  }

  protected RolleMeta getMeta() {
    return rolleMeta;
  }
}
